.modal {
    display: none;
}

.vanilla-modal {
    .modal {
        display: block;
        position: fixed;
        content: "";
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background: rgba(0, 0, 0, 0.6);
        z-index: -1;
        opacity: 0;
        font-size: 0;
        transition: opacity 0.2s, z-index 0s 0.2s;
        text-align: center;
        overflow: hidden;
        overflow-y: auto;
        white-space: nowrap;
        -webkit-overflow-scrolling: touch;

        > * {
            display: inline-block;
            white-space: normal;
            vertical-align: middle;
            text-align: left;
        }

        &::before {
            display: inline-block;
            overflow: hidden;
            width: 0;
            height: 100%;
            vertical-align: middle;
            content: "";
        }

    }

    &.modal-visible .modal {
        opacity: 1;
        transition: opacity 0.2s;
        z-index: 99;
    }

}

.modal-inner {
    position: relative;
    overflow: hidden;
    max-width: 90%;
    max-height: 90%;
    overflow-x: hidden;
    overflow-y: auto;
    background: white;
    border-radius: 0.25rem;
    z-index: -1;
    opacity: 0;
    transform: scale(0);
    transition: opacity 0.2s, transform 0.2s, z-index 0s 0.2s;
}

.modal-visible .modal-inner {
    z-index: 100;
    opacity: 1;
    transform: scale(1);
    transition: opacity 0.2s, transform 0.2s;
    font-size: 1rem;
}

a[rel="modal:close"] {
    position: absolute;
    right: 0;
    top: 0;
    width: 1.5rem;
    height: 1.5rem;
    line-height: 1.5rem;
    padding-left: 0.125rem;
    font-size: 0.85rem;
    cursor: pointer;
    text-align: center;
    background: rgba(0,0,0,0.25);
    color: white;
    border-radius: 0 0 0 50%;
    z-index: 2;
}
